org.eclipse.jgit.lib

## Class CoreConfig

- java.lang.Object
- - org.eclipse.jgit.lib.CoreConfig

    public class CoreConfig
    extends Object

This class keeps git repository core parameters.

### Nested Class Summary

Nested Classes
`static class` `CoreConfig.AutoCRLF` Permissible values for `core.autocrlf`.
`static class` `CoreConfig.CheckStat` Permissible values for `core.checkstat`
`static class` `CoreConfig.HideDotFiles` Options for hiding files whose names start with a period
`static class` `CoreConfig.SymLinks` Options for symlink handling

### Field Summary

Fields
`static Config.SectionParser<CoreConfig>` `KEY` Key for `Config.get(SectionParser)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttributesFile()`
`int` `getCompression()`
`String` `getExcludesFile()`
`int` `getPackIndexVersion()`
`boolean` `isLogAllRefUpdates()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final Config.SectionParser<CoreConfig> KEY

Key for `Config.get(SectionParser)`.

### Method Detail

#### getCompression

    public int getCompression()

Returns:
  The compression level to use when storing loose objects

#### getPackIndexVersion

    public int getPackIndexVersion()

Returns:
  the preferred pack index file format; 0 for oldest possible.

#### isLogAllRefUpdates

    public boolean isLogAllRefUpdates()

Returns:
  whether to log all refUpdates

#### getExcludesFile

    public String getExcludesFile()

Returns:
  path of excludesfile

#### getAttributesFile

    public String getAttributesFile()

Returns:
  path of attributesfile
Since:
  3.7